Bug 426830 - Review Request: perl-XML-Xerces - Perl API to Xerces XML parser
Review Request: perl-XML-Xerces - Perl API to Xerces XML parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 20:39 EST by Xavier Bachelot
Modified: 2008-01-13 12:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 12:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-26 20:39:18 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-XML-Xerces.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Xerces-2.7.0_0-2.fc8.src.rpm
Description: XML::Xerces is the Perl API to the Apache project's Xerces XML parser. It is implemented using the Xerces C++ API, and it provides access to most of the C++ API from Perl. Because it is based on Xerces-C, XML::Xerces provides a validating XML parser that makes it easy to give your application the ability to read and write XML data. Classes are provided for parsing, generating, manipulating, and validating XML documents. XML::Xerces is faithful to the XML 1.0 recommendation and associated standards (DOM levels 1, 2, and 3, SAX 1 and 2, Namespaces, and W3C XML Schema). The parser provides high performance, modularity, and scalability, and provides full support for Unicode.
XML::Xerces implements the vast majority of the Xerces-C API. The exception is some functions in the C++ API which either have better Perl counterparts such
as file I/O) or which manipulate internal C++ information that has no role in the Perl module.
Comment 1 Parag AN(पराग) 2007-12-26 22:55:40 EST
Preliminary review
1) Source URL is not working it should be
http://www.apache.org/dist/xml/xerces-p/XML-Xerces-%{ver}-%{PatchLevel}.tar.gz

2) make test skipped some tests. All tests should be executed successfully.
check http://koji.fedoraproject.org/koji/getfile?taskID=310773&name=build.log

Comment 2 Ville Skyttä 2007-12-27 02:55:10 EST
FWIW, in my local old package of this, I had:

%check
# See FAQ: non-"C" LC_CTYPE needed for tests.  Actually, at least when
# using a Xerces built with ICU, non-"C" LANG is needed.
LANG=en_US make test
Comment 3 Ville Skyttä 2007-12-27 02:59:49 EST
IIRC this package is also very picky about the xerces-c-devel version, I had:

BuildRequires:  xerces-c-devel = %{version}
Comment 4 Xavier Bachelot 2008-01-09 05:18:32 EST
Thanks Parag, I've fixed the URL.
Thanks for your comments Ville. I've added the more strict BR on xerces-c-devel.
Changing LANG doesn't change the tests results, though. I'm asking some perl
devs here to look at the issues.

New version : 
http://washington.kelkoo.net/fedora/SPECS/perl-XML-Xerces.spec
http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Xerces-2.7.0_0-3.fc8.src.rpm
Comment 5 Ralf Corsepius 2008-01-12 01:02:03 EST
%check ||:
is a no-go.

Comment 7 Parag AN(पराग) 2008-01-12 08:25:09 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e5bd871026bee1b291c5634e6e4daf35  XML-Xerces-2.7.0-0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful, 5 subtests skipped.
Files=43, Tests=35542, 15 wallclock secs (11.82 cusr +  2.04 csys = 13.86 CPU)
 ==>Not sure about how to resolve skipped test. So I will approve this and if
anyone feels these tests should not be skipped then once package gets inside CVS
file bug against it.

+ Package perl-XML-Xerces-2.7.0_0-4.fc9 =>
  Provides: Xerces.so perl(XML::Xerces) = 260.2
perl(XML::Xerces::AbstractDOMParser) perl(XML::Xerces::AttributeList)
perl(XML::Xerces::Attributes) perl(XML::Xerces::ContentHandler)
perl(XML::Xerces::DOMAttr) perl(XML::Xerces::DOMBuilder)
perl(XML::Xerces::DOMCDATASection) perl(XML::Xerces::DOMCharacterData)
perl(XML::Xerces::DOMComment) perl(XML::Xerces::DOMDocument)
perl(XML::Xerces::DOMDocumentFragment) perl(XML::Xerces::DOMDocumentRange)
perl(XML::Xerces::DOMDocumentTraversal) perl(XML::Xerces::DOMDocumentType)
perl(XML::Xerces::DOMElement) perl(XML::Xerces::DOMEntity)
perl(XML::Xerces::DOMEntityReference) perl(XML::Xerces::DOMEntityResolver)
perl(XML::Xerces::DOMErrorHandler) perl(XML::Xerces::DOMException)
perl(XML::Xerces::DOMImplementation) perl(XML::Xerces::DOMImplementationLS)
perl(XML::Xerces::DOMImplementationRegistry)
perl(XML::Xerces::DOMImplementationSource) perl(XML::Xerces::DOMInputSource)
perl(XML::Xerces::DOMLocator) perl(XML::Xerces::DOMNamedNodeMap)
perl(XML::Xerces::DOMNode) perl(XML::Xerces::DOMNodeFilter)
perl(XML::Xerces::DOMNodeIterator) perl(XML::Xerces::DOMNodeList)
perl(XML::Xerces::DOMNotation) perl(XML::Xerces::DOMProcessingInstruction)
perl(XML::Xerces::DOMRange) perl(XML::Xerces::DOMRangeException)
perl(XML::Xerces::DOMText) perl(XML::Xerces::DOMTreeWalker)
perl(XML::Xerces::DOMWriter) perl(XML::Xerces::DOMWriterFilter)
perl(XML::Xerces::DTDAttDef) perl(XML::Xerces::DTDAttDefList)
perl(XML::Xerces::DTDElementDecl) perl(XML::Xerces::DTDElementDeclEnumerator)
perl(XML::Xerces::DTDEntityDecl) perl(XML::Xerces::DTDEntityDeclEnumerator)
perl(XML::Xerces::DTDGrammar) perl(XML::Xerces::DTDHandler)
perl(XML::Xerces::DTDValidator) perl(XML::Xerces::DeclHandler)
perl(XML::Xerces::DefaultHandler) perl(XML::Xerces::DocumentHandler)
perl(XML::Xerces::EntityResolver) perl(XML::Xerces::ErrorHandler)
perl(XML::Xerces::Grammar) perl(XML::Xerces::HandlerBase)
perl(XML::Xerces::InputSource) perl(XML::Xerces::LexicalHandler)
perl(XML::Xerces::LocalFileFormatTarget) perl(XML::Xerces::LocalFileInputSource)
perl(XML::Xerces::Locator) perl(XML::Xerces::MemBufFormatTarget)
perl(XML::Xerces::MemBufInputSource) perl(XML::Xerces::PSVIHandler)
perl(XML::Xerces::Parser) perl(XML::Xerces::PerlCallbackHandler)
perl(XML::Xerces::PerlContentCallbackHandler)
perl(XML::Xerces::PerlContentHandler)
perl(XML::Xerces::PerlDocumentCallbackHandler)
perl(XML::Xerces::PerlDocumentHandler) perl(XML::Xerces::PerlEntityResolver)
perl(XML::Xerces::PerlEntityResolverHandler)
perl(XML::Xerces::PerlErrorCallbackHandler) perl(XML::Xerces::PerlErrorHandler)
perl(XML::Xerces::PerlNodeFilter)
perl(XML::Xerces::PerlNodeFilterCallbackHandler) perl(XML::Xerces::QName)
perl(XML::Xerces::SAX2XMLReader) perl(XML::Xerces::SAXException)
perl(XML::Xerces::SAXNotRecognizedException)
perl(XML::Xerces::SAXNotSupportedException) perl(XML::Xerces::SAXParseException)
perl(XML::Xerces::SAXParser) perl(XML::Xerces::SchemaAttDef)
perl(XML::Xerces::SchemaAttDefList) perl(XML::Xerces::SchemaElementDecl)
perl(XML::Xerces::SchemaElementDeclEnumerator) perl(XML::Xerces::SchemaGrammar)
perl(XML::Xerces::SchemaValidator) perl(XML::Xerces::StdInInputSource)
perl(XML::Xerces::StdOutFormatTarget) perl(XML::Xerces::URLInputSource)
perl(XML::Xerces::Wrapper4DOMInputSource) perl(XML::Xerces::Wrapper4InputSource)
perl(XML::Xerces::Writer) perl(XML::Xerces::XMLAttDef)
perl(XML::Xerces::XMLAttDefList) perl(XML::Xerces::XMLCatalogResolver)
perl(XML::Xerces::XMLDTDDescription) perl(XML::Xerces::XMLDeleter)
perl(XML::Xerces::XMLElementDecl) perl(XML::Xerces::XMLEntityDecl)
perl(XML::Xerces::XMLException) perl(XML::Xerces::XMLExcepts)
perl(XML::Xerces::XMLGrammarDescription) perl(XML::Xerces::XMLNotationDecl)
perl(XML::Xerces::XMLPScanToken) perl(XML::Xerces::XMLPlatformUtils)
perl(XML::Xerces::XMLReaderFactory) perl(XML::Xerces::XMLSchemaDescription)
perl(XML::Xerces::XMLSimple) perl(XML::Xerces::XMLURL) perl(XML::Xerces::XMLUni)
perl(XML::Xerces::XMLUri) perl(XML::Xerces::XMLValidator)
perl(XML::Xerces::XercesDOMParser) perl(XML::Xercesc)

Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libxerces-c.so.27 perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(DynaLoader)
perl(Exporter) perl(strict) perl(vars) rtld(GNU_HASH)


APPROVED.

Comment 8 Xavier Bachelot 2008-01-12 09:18:08 EST
Thx Parag.

New Package CVS Request
=======================
Package Name: perl-XML-Xerces
Short Description: Perl API to Xerces XML parser
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-01-12 15:36:06 EST
cvs done.
Comment 10 Xavier Bachelot 2008-01-13 12:48:55 EST
Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.